I had to change ext/oci8/config.m4
Remove the line highlighted in red on this page.


The line is

Then do configure/make/make install again. That will get the oci8 support to 
work. I haven't tried the oracle functions.


Reuben D. Budiardja wrote:

> Hello,
> I installed PHP-4.3.2 with oci8 and oracle support (using --with-oci8
> --with-oracle).
> I recompile apache-1.3.27 to use the libpthread as mentioned here:
> http://ww.php.net/oci8
> Now, I got crashes when using oracle with php. In my apache error logs, I
> get:
> [Sat Jul  5 17:24:28 2003] [notice] child pid 17496 exit signal
> [Segmentation
> fault (11)
> [Sat Jul  5 17:24:29 2003] [notice] child pid 17558 exit signal
> [Segmentation
> fault (11)
> and the application would just do nothing (I tried reload, submit, etc).
> if this happens, the only way I can fix it is by restarting apache. Could
> anyone give me pointer what's going on here  and how to fix it?
> In case this matters, the Oracle 9i DB server is also in the same box.
> Somehow it has it's own Apache, but I don't use that.
> Thanks for any help.

PHP Database Mailing List (http://www.php.net/)
To unsubscribe, visit: http://www.php.net/unsub.php

Reply via email to